# DiscardTruncatedMsg

Discards the remaining part of a message after truncation.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  DiscardTruncatedMsg

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

When a message is split because it is too long the second part is normally processed as the next message. This can cause problems. When this parameter is turned on the part of the message after the truncation will be discarded.

## Input usage

    input(type="imptcp" discardTruncatedMsg="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.